Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp.test
Class PGPKeyRingTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.openpgp.test.PGPKeyRingTest

All Implemented Interfaces:
  org.bouncycastle.util.test.Test

    public class PGPKeyRingTest

extends org.bouncycastle.util.test.SimpleTest

Field Summary
`byte[]` `rewrapKey`
`char[]` `sec10pass`
`char[]` `sec9pass`
`byte[]` `subKeyBindingCheckSum`
`byte[]` `subKeyBindingKey`

Constructor Summary
`PGPKeyRingTest()`

Method Summary
`void` `generateSha1Test()`
`void` `generateTest()`
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`
`void` `test1()`
`void` `test10()`
`void` `test2()`
`void` `test3()`
`void` `test4()`
`void` `test5()`
`void` `test6()`
`void` `test7()`
`void` `test8()`
`void` `test9()`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sec9pass

    public char[] sec9pass

### sec10pass

    public char[] sec10pass

### subKeyBindingKey

    public byte[] subKeyBindingKey

### subKeyBindingCheckSum

    public byte[] subKeyBindingCheckSum

### rewrapKey

    public byte[] rewrapKey

Constructor Detail

### PGPKeyRingTest

    public PGPKeyRingTest()

Method Detail

### test1

    public void test1()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test2

    public void test2()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test3

    public void test3()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test4

    public void test4()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test5

    public void test5()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test6

    public void test6()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test7

    public void test7()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test8

    public void test8()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test9

    public void test9()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### test10

    public void test10()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateTest

    public void generateTest()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateSha1Test

    public void generateSha1Test()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### performTest

    public void performTest()
                     throws java.lang.Exception

  Specified by:
    `performTest` in class `org.bouncycastle.util.test.SimpleTest`
  Throws:
    `java.lang.Exception`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.bouncycastle.util.test.Test`
  Specified by:
    `getName` in class `org.bouncycastle.util.test.SimpleTest`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.45